#pragma once

#include "Board.h"
#include "MNode.h"

using namespace std;

class Engine {
	Board* b;
	
public:
	Engine();
	Board* getBoard() { return b; }
	void startGame();
	void userGame();
	void AIGame();
	void AI(int depth);
	void createMMTree(MNode* node, int depth, int alt);
	moves evaluateMMTree(MNode* node);
	int evaluateMMBranch(MNode* node, int sum);
};
